version: '2.0'
config:
  store_entities_as_slots: true
session_config:
  session_expiration_time: 60
  carry_over_slots_to_new_session: false
intents:
- greetings:
    use_entities: true
- goodbye:
    use_entities: true
- thank_you:
    use_entities: true
- affirmative:
    use_entities: true
- negative:
    use_entities: true
- nlu_fallback:
    use_entities: true
- insult:
    use_entities: true
- feeling_happy:
    use_entities: true
- feeling_optimist:
    use_entities: true
- i_am_underaged:
    use_entities: true
entities:
- symptom
slots:
  i_am_happy:
    type: rasa.shared.core.slots.BooleanSlot
    initial_value: false
    auto_fill: true
    influence_conversation: true
  i_am_optimist:
    type: rasa.shared.core.slots.BooleanSlot
    initial_value: false
    auto_fill: true
    influence_conversation: true
  i_am_underaged:
    type: rasa.shared.core.slots.BooleanSlot
    initial_value: false
    auto_fill: true
    influence_conversation: true
responses:
  utter_name:
  - text: Με λένε Θεανώ.
  - text: Θεανώ.
  utter_insult:
  - text: Σε παρακαλώ να μην μίλας έτσι.
  - text: Είναι ανεπίτρεπτος ο τρόπος που μιλάς. Σε παρακαλώ να μην επαναληφθεί!
  - text: Είναι ανεπίτρεπτος αυτός ο τρόπος. Παρακαλώ να μην επαναληφθεί!
  utter_default:
  - text: Δεν καταλαβαίνω τι λες. Μπορείς να ρωτήσεις κάτι διαφορετικό;
  - text: Δυσκολεύομαι να καταλάβω. Μήπως θα μπορούσες να με ρωτήσεις κάτι άλλο;
  - text: Δεν καταλαβαίνω. Μήπως θέλεις να με ρωτήσεις κάτι άλλο;
actions:
- utter_name
- action_utter_greetings
- utter_insult
- action_utter_goodbye
- utter_never_mind
- action_inspireme
forms:
  inspiration_form:
    required_slots:
      i_am_happy:
      - intent: feeling_happy
        type: from_intent
        value: true
      - intent: affirmative
        type: from_intent
        value: true
      - intent: negative
        type: from_intent
        value: false
      i_am_optimist:
      - intent: feeling_optimist
        type: from_intent
        value: true
      - intent: affirmative
        type: from_intent
        value: true
      - intent: negative
        type: from_intent
        value: false
      underaged:
      - intent: i_am_underaged
        type: from_intent
        value: true
      - intent: affirmative
        type: from_intent
        value: true
      - intent: negative
        type: from_intent
        value: false
e2e_actions: []
